Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface CommonGenerator

All Known Subinterfaces:
  BasicRandomGenerator, C2TAUS1gen, C2TAUS2gen, C2TAUS3gen, C2TAUSgen, MT19937gen, PMMLCG1gen, PMMLCGgen, PSWBgen, SimpleRandomGenerator, SplitRandomGenerator

public interface CommonGenerator

Internal.

Method Summary
`boolean` | `getAntithetic()` The getAntithetic method returns the current values of the parameter.
`int` | `getInitialSeed()` The getInitialSeed method returns the value of the generator's starting seed.
`int` | `getMaxSeedValue()` The getMaxSeedValue method returns the upper limit on the seed value that can be supplied.
`int` | `getUnsignedMax()` The getUnsignedMax method returns the highest value that will ever be returned by -getUnsignedSample (the lowest is 0).
`int` | `lengthOfSeedVector()` The lengthOfSeedVector method returns the number of seeds required if you wish to set the state directly.
`java.lang.Object` | `reset()` The -reset method sets the generator back to the state it had at start or at the last use of -setStateFromSeed(s).

Method Detail

### getAntithetic

    public boolean getAntithetic()

  The getAntithetic method returns the current values of the parameter.

### getMaxSeedValue

    public int getMaxSeedValue()

  The getMaxSeedValue method returns the upper limit on the seed value that can be supplied.

### getInitialSeed

    public int getInitialSeed()

  The getInitialSeed method returns the value of the generator's starting seed.

### lengthOfSeedVector

    public int lengthOfSeedVector()

  The lengthOfSeedVector method returns the number of seeds required if you wish to set the state directly.

### reset

    public java.lang.Object reset()

  The -reset method sets the generator back to the state it had at start or at the last use of -setStateFromSeed(s). CurrentCount is zeroed.

### getUnsignedMax

    public int getUnsignedMax()

  The getUnsignedMax method returns the highest value that will ever be returned by -getUnsignedSample (the lowest is 0).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD